import { PlanService } from "./plan.service";
export declare class PlanController {
    private readonly planService;
    constructor(planService: PlanService);
    findActive(): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/plan/plan.entity").Plan[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: any;
    }>;
}
